# Generated by Django 2.1.7 on 2019-03-04 15:18

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='DataSource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('public', models.BooleanField(default=False, help_text='public__help_text', verbose_name='public__verbose_name')),
                ('name', models.CharField(help_text='data_source__name__help_text', max_length=128, validators=[django.core.validators.MaxLengthValidator(128)], verbose_name='data_source__name__verbose_name')),
                ('description', models.TextField(help_text='data_source__description__help_text', verbose_name='data_source__description__verbose_name')),
                ('raw_name', models.TextField(help_text='raw_name__help_text', verbose_name='raw_name__verbose_name')),
                ('kind', models.CharField(choices=[('FILE', 'From a file'), ('URL', 'From an URL')], help_text='kind__help_text', max_length=4, verbose_name='kind__verbose_name')),
                ('creation_date', models.DateTimeField(help_text='creation_date__help_text', verbose_name='creation_date__verbose_name')),
                ('last_edition_date', models.DateTimeField(help_text='last_edition_date__help_text', verbose_name='last_edition_date__verbose_name')),
                ('allowed_users', models.ManyToManyField(help_text='allowed_users__help_text', related_name='datasource_readable_set', to=settings.AUTH_USER_MODEL, verbose_name='allowed_users__verbose_name')),
                ('owner', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Data Source',
                'verbose_name_plural': 'Data Sources',
            },
        ),
        migrations.CreateModel(
            name='GlobalViralStrainResponseValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='response__name__help_text', max_length=32, unique=True, validators=[django.core.validators.MaxLengthValidator(32)], verbose_name='response__name__verbose_name')),
                ('description', models.TextField(blank=True, default='', help_text='response__description__help_text', verbose_name='response__description__verbose_name')),
                ('value', models.FloatField(default=-1000000, help_text='response__value__help_text', verbose_name='response__value__verbose_name')),
            ],
            options={
                'verbose_name': 'Global Viral-Strain response values',
                'verbose_name_plural': 'Global Viral-Strain response values',
            },
        ),
        migrations.CreateModel(
            name='Strain',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='strain__name__help_text', max_length=64, validators=[django.core.validators.MaxLengthValidator(64)], verbose_name='strain__name__verbose_name')),
                ('data_source', models.ManyToManyField(help_text='data_source__help_text', to='viralhostrangedb.DataSource', verbose_name='data_source__verbose_name')),
            ],
            options={
                'verbose_name': 'Strain',
                'verbose_name_plural': 'Strains',
            },
        ),
        migrations.CreateModel(
            name='ViralStrainResponseValueInDataSource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('raw_response', models.FloatField(help_text='raw_response__help_text', verbose_name='raw_response__verbose_name')),
                ('data_source', models.ForeignKey(help_text='data_source__help_text', on_delete=django.db.models.deletion.CASCADE, to='viralhostrangedb.DataSource', verbose_name='data_source__verbose_name')),
                ('response', models.ForeignKey(help_text='response__help_text', on_delete=django.db.models.deletion.PROTECT, to='viralhostrangedb.GlobalViralStrainResponseValue', verbose_name='response__verbose_name')),
                ('strain', models.ForeignKey(help_text='strain__help_text', on_delete=django.db.models.deletion.CASCADE, to='viralhostrangedb.Strain', verbose_name='strain__verbose_name')),
            ],
            options={
                'verbose_name': 'Viral-Strain response value in Data Source',
                'verbose_name_plural': 'Viral-Strain responses value in Data Source',
            },
        ),
        migrations.CreateModel(
            name='Virus',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(help_text='virus__name__help_text', max_length=64, validators=[django.core.validators.MaxLengthValidator(64)], verbose_name='virus__name__verbose_name')),
                ('data_source', models.ManyToManyField(help_text='data_source__help_text', to='viralhostrangedb.DataSource', verbose_name='data_source__verbose_name')),
            ],
            options={
                'verbose_name': 'Virus',
                'verbose_name_plural': 'Viruses',
            },
        ),
        migrations.AddField(
            model_name='viralstrainresponsevalueindatasource',
            name='virus',
            field=models.ForeignKey(help_text='virus__help_text', on_delete=django.db.models.deletion.CASCADE, to='viralhostrangedb.Virus', verbose_name='virus__verbose_name'),
        ),
    ]
