import logging

from django import template

from viralhostrangedb import models

register = template.Library()

logger = logging.getLogger(__name__)


@register.filter
def has_mapping_pending(owner):
    return models.DataSource.has_not_mapped_data_sources(owner=owner)


@register.filter
def class_verbose_name(obj):
    return obj._meta.verbose_name.title()


@register.filter
def class_verbose_name_plural(obj):
    return obj._meta.verbose_name_plural.title()


@register.filter
def field_verbose_name(obj, field_name):
    return obj._meta.get_field(field_name).verbose_name.title()