from django.conf.urls import url

from viralhostrangedb import views

app_name = 'viralhostrangedb'
urlpatterns = [
    url(r'^$', views.index, name='home'),
    url(r'^import/data-source/$', views.file_import, name='file-import-view'),
    # url(r'^data_source/(?P<pk>\d+)/edit/$', views.file_import, name='data-source-edit'),
    url(
        r'^data-source/pending-mapping/$',
        views.DataSourceMappingPendingListView.as_view(),
        name='data-source-pending-mapping-list',
    ),
    url(r'^browse/$', views.DataSourceListView.as_view(), name='browse'),
    url(r'^data-source/$', views.DataSourceListView.as_view(), name='data-source-list'),
    url(r'^data-source/(?P<pk>\d+)/edit/$', views.DataSourceUpdateView.as_view(), name='data-source-update'),
    url(r'^data-source/(?P<pk>\d+)/delete/$', views.DataSourceDeleteView.as_view(), name='data-source-delete'),
    url(r'^data-source/(?P<pk>\d+)/$', views.DataSourceDetailView.as_view(), name='data-source-detail'),
    url(r'^data-source/(?P<pk>\d+)/browse/$', views.SelectDataFromDataSourceView.as_view(), name='data-source-browse'),
    url(r'^data-source/(?P<pk>\d+)/mapping/edit/$', views.data_source_mapping_edit, name='data-source-mapping-edit'),
]
